%% Project:   High Angular Resolution Diffusion Imaging Tools
% Function to create the 3D Cartesian signal-matrix required in DSI  
%                                                                                                
% Language:  MATLAB(R)
% Author:  Erick Canales-Rodríguez, Lester Melie-García, Yasser Iturria-Medina, Yasser Alemán-Gómez
% Date: 2013, Version: 1.2          
% 
% See also, test_DSI_example, create_mainlobe_PSF, create_gaussian_PSF

function sq = SignalMatrixBuilding(qc,value,Resolution)
sq = zeros(Resolution,Resolution,Resolution);
n = length(qc);
for i=1:n
    sq(qc(i,1),qc(i,2),qc(i,3)) = value(i);
end
end
